using Domain.Entities;
using Domain.Generics;

namespace Models.Interfaces
{
    public interface IPhSInstitutionRepository
    {
        Task<EInstitution> CreateAsync(EInstitution model);
        Task<PagedResult<EInstitution>> GetAllAsync(int page = 1, int pageSize = 50);
        Task<EInstitution?> GetByIdAsync(int id);
        Task<PagedResult<EInstitution>> SearchAsync(
            string? name,
            string? type,
            string? province,
            int page = 1,
            int pageSize = 50);
        Task<bool> UpdateAsync(EInstitution model);
    }
}
